Bug 160421 - games/flightgear (and related ports): update to 2.4.0
Summary: games/flightgear (and related ports): update to 2.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-03 13:50 UTC by Dmitry Marakasov
Modified: 2011-09-06 14:50 UTC (History)
0 users

See Also:


Attachments
fg.patch (152.92 KB, patch)
2011-09-03 13:50 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2011-09-03 13:50:07 UTC
Update flightgear and related ports (devel/simgear, games/flightgear, games/flightgear-data, games/flightgear-aircrafts) to 2.4.0
Comment 1 Edwin Groothuis freebsd_committer 2011-09-03 13:50:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ganael LAPLANCHE freebsd_committer 2011-09-05 14:16:45 UTC
Hi Dmitry,

As you may have seen on ports/160322, I am already working on this
update. You can expect it to be committed soon.

FYI, I will keep the good-old ${LOCALBASE}/share/FlightGear data path
(instead of the new ${LOCALBASE}/share/flightgear) to allow smooth updates.

Thanks for your help and stay tuned :)

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 3 amdmi3 2011-09-05 14:51:25 UTC
* Ganael LAPLANCHE (martymac@FreeBSD.org) wrote:

> As you may have seen on ports/160322, I am already working on this
> update. You can expect it to be committed soon.
> 
> FYI, I will keep the good-old ${LOCALBASE}/share/FlightGear data path
> (instead of the new ${LOCALBASE}/share/flightgear) to allow smooth updates.

I think it'd be better to switch to lowercase, portnames as well, as the
upstream did, as uppercase directories and port names are not common to
freebsd and inconvenient in general.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 4 Ganael LAPLANCHE freebsd_committer 2011-09-05 15:47:59 UTC
On Mon, 5 Sep 2011 17:51:25 +0400, Dmitry Marakasov wrote

> I think it'd be better to switch to lowercase, portnames as 
> well, as the upstream did, as uppercase directories and port 
> names are not common to freebsd and inconvenient in general.

Yes, I was thinking about that but wanted to keep the updates as smooth
as possible. Anyway, you're right, this is a cleaner way to go. I'll
update my patches...

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 5 amdmi3 2011-09-05 16:17:21 UTC
* Ganael LAPLANCHE (martymac@FreeBSD.org) wrote:

> > I think it'd be better to switch to lowercase, portnames as 
> > well, as the upstream did, as uppercase directories and port 
> > names are not common to freebsd and inconvenient in general.
> 
> Yes, I was thinking about that but wanted to keep the updates as smooth
> as possible.

You can't guarantee that the port works while being updated, so
there's no real reason to keep any legacy cruft in the tree.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 6 dfilter freebsd_committer 2011-09-06 14:14:29 UTC
martymac    2011-09-06 13:14:19 UTC

  FreeBSD ports repository

  Modified files:
    devel/simgear        Makefile distinfo pkg-plist 
    games/flightgear     Makefile distinfo 
    games/flightgear-aircrafts Makefile distinfo 
    games/flightgear-data Makefile distinfo 
  Removed files:
    devel/simgear/files  patch-simgear-compiler.h 
  Log:
  - Update FlightGear and SimGear to 2.4.0
  - Switch PORTNAMEs to lowercase
  - Change DATADIR from ${LOCALBASE}/share/FlightGear
    to ${LOCALBASE}/share/flightgear
  - Re-order variables to make portlint happy
  - Remove useless CPPFLAGS from CONFIGURE_ENV
  
  PR:     ports/160322, ports/160421
  Submitted by:   amdmi3
  
  Revision  Changes    Path
  1.43      +6 -7      ports/devel/simgear/Makefile
  1.15      +2 -2      ports/devel/simgear/distinfo
  1.2       +0 -17     ports/devel/simgear/files/patch-simgear-compiler.h (dead)
  1.12      +189 -180  ports/devel/simgear/pkg-plist
  1.22      +371 -281  ports/games/flightgear-aircrafts/Makefile
  1.16      +712 -534  ports/games/flightgear-aircrafts/distinfo
  1.51      +5 -5      ports/games/flightgear-data/Makefile
  1.15      +2 -2      ports/games/flightgear-data/distinfo
  1.72      +10 -10    ports/games/flightgear/Makefile
  1.15      +2 -2      ports/games/flightgear/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Ganael LAPLANCHE freebsd_committer 2011-09-06 14:50:48 UTC
State Changed
From-To: open->closed

Committed with minor changes, thanks!